
import "Deusdictum.Plugins.WardenEase";

WEmain = WEController();

WEmainCommand = Turbine.ShellCommand();

function WEmainCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		WEmain:SetVisible( true );
	elseif ( arguments == "hide" ) then
		WEmain:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		WEmain:SetVisible( not WEmain:IsVisible() );
	elseif ( arguments == "refresh" ) then
		WEmain:RefreshQuickslots();
	elseif ( Deusdictum.Data.Warden.Gambits[arguments] ~= nil ) then
		WEmain:SetGambit( Deusdictum.Data.Warden.Gambits[arguments].Sequence );
	end
end

function WEmainCommand:GetHelp()
	return "WardenEase\n\nwe show: Display the main WardenEase quickslots\nwe hide: Hides the main WardenEase quickslots";
end

function WEmainCommand:GetShortHelp()
	return "Shows or hides the main WardenEase quickslots.";
end

Turbine.Shell.AddCommand( "we;WardenEase", WEmainCommand );

listCommandsCommand = Turbine.ShellCommand();

function listCommandsCommand:Execute( command, arguments )
	local commands = Turbine.Shell.GetCommands();

	local allCommands = ""

	for key, value in pairs(commands) do
		allCommands = allCommands .. ", " .. value
	end
	
	Turbine.Shell.WriteLine( allCommands )
end

Turbine.Shell.AddCommand( "listcommands", listCommandsCommand );

Turbine.Shell.WriteLine("WardenEase v0.4b by Deusdictum");